<?php
/* Mantenimiento de los registros de la tabla MST_EstadosHabitacionMast redefinidos por el usaurio */
class MST_EstadosHabitacionMastDP extends BaseMST_EstadosHabitacionMastDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdEstados ) IS NULL, 1, MAX( IdEstados ) + 1 ) i_Id FROM MST_EstadosHabitacionMast;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>